Documentation Index Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
Use this file to discover all available pages before exploring further.
Path parameters
The unique identifier of the workflow.
Body
Channel type: webhook or email.
Event types to subscribe to. Value Description job.scheduledJob queued to run job.in_progressJob has started job.completedJob finished processing job.stoppedJob has stopped job.failedJob failed to initialize without processing any files
Channel description. Maximum 255 characters.
Whether the channel is active. Default: true.
Webhook endpoint URL. Must use HTTPS. Required when channel_type is webhook.
Signing secret for verifying incoming webhook requests. Must be between 24 and 75 bytes (24 to 75 ASCII characters). Applies when channel_type is webhook. Use this secret to verify incoming webhook requests . If you do not provide a secret, you cannot use secret-based verification for incoming webhook requests.
Email delivery configuration. Required when channel_type is email. Value Required Description recipient_emailyes Email address to deliver notifications to. reply_toEmail address set as the reply-to header in notification emails. ccAdditional email addresses to copy on notification emails. Array of strings.
Response
Unique identifier for the channel.
Channel type: webhook or email.
Whether the channel is active.
ISO 8601 timestamp when the channel was created.
ISO 8601 timestamp when the channel was last updated.
Webhook endpoint URL. Present when channel_type is webhook.
Email delivery configuration. Present when channel_type is email.
cURL
Python SDK
Python SDK (async)
curl --request POST \
--url "${ UNSTRUCTURED_API_URL }/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels" \
--header "unstructured-api-key: ${ UNSTRUCTURED_API_KEY }" \
--header "Content-Type: application/json" \
--data '{
"channel_type": "webhook",
"url": "https://hooks.example.com/notify",
"event_types": ["job.completed", "job.failed"],
"description": "Job status alerts",
"enabled": true
}'
{
"id" : "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" ,
"channel_type" : "webhook" ,
"description" : "Job status alerts" ,
"event_types" : [ "job.completed" , "job.failed" ],
"enabled" : true ,
"url" : "https://hooks.example.com/notify" ,
"created_at" : "2026-04-29T10:00:00Z" ,
"updated_at" : "2026-04-29T10:00:00Z"
}